Security Enhanced Linux Reference Policy

# Layer: apps

## Module: vlock

Interfaces

### Description:

Lock one or more sessions on the Linux console.

### Interfaces:

vlock_domtrans( domain )

##### Summary

Execute vlock in the vlock domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

vlock_run( domain , role )

##### Summary

Execute vlock in the vlock domain, and allow the specified role the vlock domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed to access.

Return